package com.ruoyi.cai.ws.bean;

import com.ruoyi.cai.ws.constant.RoomStatusEnums;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class RoomData {
    private Long roomId;
    private Long callPrice;
    private String skillName;
    private Integer status;
    private BigDecimal videoDivide;
    private Long payCoin = 0L;
    private Long payIncome = 0L;
    private Long hangupTime; // 结束时间

    private Long settleTime; // 结算时间

    private Long beginTime; // 开始时间

    private boolean releaseRes = false;

    public boolean isCanCall(){
        return RoomStatusEnums.isCanCall(status);
    }

    public boolean isOnline() {
        return RoomStatusEnums.STATUS_AGREE.getCode().equals(status);
    }
}
